Skip to content
体验新版
项目
组织
正在加载...
登录
切换导航
打开侧边栏
openanolis
dragonwell8
提交
0a5b31cf
D
dragonwell8
项目概览
openanolis
/
dragonwell8
通知
5
Star
3
Fork
0
代码
文件
提交
分支
Tags
贡献者
分支图
Diff
Issue
0
列表
看板
标记
里程碑
合并请求
0
Wiki
0
Wiki
分析
仓库
DevOps
项目成员
Pages
D
dragonwell8
项目概览
项目概览
详情
发布
仓库
仓库
文件
提交
分支
标签
贡献者
分支图
比较
Issue
0
Issue
0
列表
看板
标记
里程碑
合并请求
0
合并请求
0
Pages
分析
分析
仓库分析
DevOps
Wiki
0
Wiki
成员
成员
收起侧边栏
关闭侧边栏
动态
分支图
创建新Issue
提交
Issue看板
提交
0a5b31cf
编写于
2月 18, 2013
作者:
E
erikj
浏览文件
操作
浏览文件
下载
差异文件
Merge
上级
b5d8d9a1
0a165e1f
变更
7
隐藏空白更改
内联
并排
Showing
7 changed file
with
96 addition
and
62 deletion
+96
-62
.hgtags
.hgtags
+1
-0
common/bin/hgforest.sh
common/bin/hgforest.sh
+40
-19
common/makefiles/Main.gmk
common/makefiles/Main.gmk
+1
-1
common/makefiles/javadoc/CORE_PKGS.gmk
common/makefiles/javadoc/CORE_PKGS.gmk
+2
-2
get_source.sh
get_source.sh
+1
-1
make/scripts/webrev.ksh
make/scripts/webrev.ksh
+40
-26
test/Makefile
test/Makefile
+11
-13
未找到文件。
.hgtags
浏览文件 @
0a5b31cf
...
...
@@ -198,3 +198,4 @@ c1be681d80a1f1c848dc671d664fccb19e046a12 jdk8-b72
b43aa5bd8ca5c8121336495382d35ecfa7a71536 jdk8-b74
2a713921952cbd77a1e699626976cb6cdfe3e57e jdk8-b75
278af9fc67e7eba2884936b49ec07345f423aabb jdk8-b76
3933eebc659d58c597aa8cb4b3e58f2250ce3e1a jdk8-b77
common/bin/hgforest.sh
浏览文件 @
0a5b31cf
...
...
@@ -64,33 +64,33 @@ rm -f -r ${tmp}
mkdir
-p
${
tmp
}
safe_interrupt
()
{
if
[
-d
${
tmp
}
]
;
then
if
[
"
`
ls
${
tmp
}
`
"
!=
""
]
;
then
echo
"Waiting for processes (
`
cat
${
tmp
}
/
*
|
tr
'\n'
' '
`
) to terminate nicely!"
if
[
-d
${
tmp
}
]
;
then
if
[
"
`
ls
${
tmp
}
/
*
.pid
`
"
!=
""
]
;
then
echo
"Waiting for processes (
`
cat
${
tmp
}
/
*
.pid
|
tr
'\n'
' '
`
) to terminate nicely!"
sleep
1
# Pipe stderr to dev/null to silence kill, that complains when trying to kill
# a subprocess that has already exited.
kill
-TERM
`
cat
${
tmp
}
/
*
|
tr
'\n'
' '
`
2> /dev/null
wait
echo
Interrupt
complete
!
fi
kill
-TERM
`
cat
${
tmp
}
/
*
.pid
|
tr
'\n'
' '
`
2> /dev/null
wait
echo
Interrupt
complete
!
fi
fi
rm
-f
-r
${
tmp
}
exit
1
}
nice_exit
()
{
if
[
-d
${
tmp
}
]
;
then
if
[
"
`
ls
${
tmp
}
`
"
!=
""
]
;
then
wait
fi
if
[
-d
${
tmp
}
]
;
then
if
[
"
`
ls
${
tmp
}
`
"
!=
""
]
;
then
wait
fi
fi
rm
-f
-r
${
tmp
}
}
trap
'safe_interrupt'
INT QUIT
trap
'nice_exit'
EXIT
# Only look in specific locations for possible forests (avoids long searches)
pull_default
=
""
repos
=
""
...
...
@@ -172,14 +172,26 @@ for i in ${repos} ${repos_extra} ; do
if
[
"
${
command
}
"
=
"clone"
-o
"
${
command
}
"
=
"fclone"
]
;
then
pull_newrepo
=
"
`
echo
${
pull_base
}
/
${
i
}
|
sed
-e
's@\([^:]/\)//*@\1@g'
`
"
echo
${
hg
}
clone
${
pull_newrepo
}
${
i
}
${
hg
}
clone
${
pull_newrepo
}
${
i
}
&
path
=
"
`
dirname
${
i
}
`
"
if
[
"
${
path
}
"
!=
"."
]
;
then
times
=
0
while
[
!
-d
"
${
path
}
"
]
## nested repo, ensure containing dir exists
do
times
=
`
expr
${
times
}
'+'
1
`
if
[
`
expr
${
times
}
'%'
10
`
-eq
0
]
;
then
echo
${
path
}
still not created, waiting...
fi
sleep
5
done
fi
(
${
hg
}
clone
${
pull_newrepo
}
${
i
}
;
echo
"
$?
"
>
${
tmp
}
/
${
repopidfile
}
.pid.rc
)
&
else
echo
"cd
${
i
}
&&
${
hg
}
$*
"
cd
${
i
}
&&
${
hg
}
"
$@
"
&
fi
cd
${
i
}
&&
(
${
hg
}
"
$@
"
;
echo
"
$?
"
>
${
tmp
}
/
${
repopidfile
}
.pid.rc
)
&
fi
echo
$!
>
${
tmp
}
/
${
repopidfile
}
.pid
)
2>&1 |
sed
-e
"s@^@
${
reponame
}
: @"
)
&
if
[
`
expr
${
n
}
'%'
${
at_a_time
}
`
-eq
0
]
;
then
sleep
2
echo
Waiting 5 secs before spawning next background command.
...
...
@@ -189,6 +201,15 @@ done
# Wait for all hg commands to complete
wait
# Terminate with exit 0 all the time (hard to know when to say "failed")
exit
0
# Terminate with exit 0 only if all subprocesses were successful
ec
=
0
if
[
-d
${
tmp
}
]
;
then
for
rc
in
${
tmp
}
/
*
.pid.rc
;
do
exit_code
=
`
cat
${
rc
}
|
tr
-d
' \n\r'
`
if
[
"
${
exit_code
}
"
!=
"0"
]
;
then
echo
"WARNING:
${
rc
}
exited abnormally."
ec
=
1
fi
done
fi
exit
${
ec
}
common/makefiles/Main.gmk
浏览文件 @
0a5b31cf
...
...
@@ -167,7 +167,7 @@ bootcycle-images:
test: start-make
@$(call TargetEnter)
@($(CD) $(SRC_ROOT)/test && $(BUILD_LOG_WRAPPER) $(MAKE)
MAKEFLAGS= -j1
PRODUCT_HOME=$(OUTPUT_ROOT)/jdk JPRT_JAVA_HOME=$(OUTPUT_ROOT)/jdk ALT_OUTPUTDIR=$(OUTPUT_ROOT) $(TEST)) || true
@($(CD) $(SRC_ROOT)/test && $(BUILD_LOG_WRAPPER) $(MAKE)
-j1 -k MAKEFLAGS=
PRODUCT_HOME=$(OUTPUT_ROOT)/jdk JPRT_JAVA_HOME=$(OUTPUT_ROOT)/jdk ALT_OUTPUTDIR=$(OUTPUT_ROOT) $(TEST)) || true
@$(call TargetExit)
# Stores the tips for each repository. This file is be used when constructing the jdk image and can be
...
...
common/makefiles/javadoc/CORE_PKGS.gmk
浏览文件 @
0a5b31cf
...
...
@@ -128,9 +128,9 @@ CORE_PKGS = \
java.text \
java.text.spi \
java.time \
java.time.temporal \
java.time.calendar \
java.time.chrono \
java.time.format \
java.time.temporal \
java.time.zone \
java.util \
java.util.concurrent \
...
...
get_source.sh
浏览文件 @
0a5b31cf
...
...
@@ -26,7 +26,7 @@
#
# Get clones of all nested repositories
sh ./common/bin/hgforest.sh clone
"
$@
"
sh ./common/bin/hgforest.sh clone
"
$@
"
||
exit
1
# Update all existing repositories to the latest sources
sh ./common/bin/hgforest.sh pull
-u
...
...
make/scripts/webrev.ksh
浏览文件 @
0a5b31cf
...
...
@@ -19,7 +19,7 @@
#
# CDDL HEADER END
#
# Copyright (c) 2008, 201
1
, Oracle and/or its affiliates. All rights reserved.
# Copyright (c) 2008, 201
3
, Oracle and/or its affiliates. All rights reserved.
# Use is subject to license terms.
#
# This script takes a file list and a workspace and builds a set of html files
...
...
@@ -27,7 +27,7 @@
# Documentation is available via 'webrev -h'.
#
WEBREV_UPDATED
=
23.18-hg
WEBREV_UPDATED
=
23.18-hg
+jbs
HTML
=
'<?xml version="1.0"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
...
...
@@ -146,7 +146,7 @@ html_quote()
#
bug2url
()
{
sed
-e
's|[0-9]\{5,\}|<a href=\"'
$BUGURL
'&\">&</a>|g'
sed
-e
's|[0-9]\{5,\}|<a href=\"'
$BUGURL
$IDPREFIX
'&\">&</a>|g'
}
#
...
...
@@ -230,8 +230,8 @@ strip_unchanged()
# $ sdiff_to_html old/usr/src/tools/scripts/webrev.sh \
# new/usr/src/tools/scripts/webrev.sh \
# webrev.sh usr/src/tools/scripts \
# '<a href="http
://monaco.sfbay.sun.com/detail.jsp?cr=
1234567">
# 1234567</a> my bugid' > <file>.html
# '<a href="http
s://jbs.oracle.com/bugs/browse/JDK-
1234567">
#
JDK-
1234567</a> my bugid' > <file>.html
#
# framed_sdiff() is then called which creates $2.frames.html
# in the webrev tree.
...
...
@@ -1160,7 +1160,7 @@ comments_from_mercurial()
print
"
$comm
"
return
fi
print
"
$comm
"
| html_quote | bug2url | sac2url
)
fi
...
...
@@ -1418,7 +1418,7 @@ function outgoing_from_mercurial_forest
next;}
END {for (tree in trees)
{ rev=revs[trees[tree]];
if (rev > 0)
if (rev > 0)
{printf("%s %d\n",trees[tree],rev-1)}
}}'
|
while
read
LINE
do
...
...
@@ -1459,7 +1459,7 @@ function treestatus
{
TREE
=
$1
HGCMD
=
"hg -R
$CWS
/
$TREE
status
$FSTAT_OPT
"
$HGCMD
-mdn
2>/dev/null |
$FILTER
|
while
read
F
do
echo
$TREE
/
$F
...
...
@@ -1543,7 +1543,7 @@ function fstatus
if (n == 0)
{ printf("A %s/%s\n",tree,$2)}
else
{ printf("A %s\n",$2)};
{ printf("A %s\n",$2)};
next}
/^ / {n=index($1,tree);
if (n == 0)
...
...
@@ -1604,7 +1604,7 @@ function fstatus
# We need at least one of default-push or default paths set in .hg/hgrc
# If neither are set we don't know who to compare with.
function
flist_from_mercurial
function
flist_from_mercurial
{
# if [ "${PWS##ssh://}" != "$PWS" -o \
# "${PWS##http://}" != "$PWS" -o \
...
...
@@ -1757,7 +1757,7 @@ function look_for_prog
elif
[[
"
$OS
"
==
"Linux"
]]
;
then
DEVTOOLS
=
"/java/devtools/linux/bin"
fi
ppath
=
$PATH
ppath
=
$ppath
:/usr/sfw/bin:/usr/bin:/usr/sbin
ppath
=
$ppath
:/opt/teamware/bin:/opt/onbld/bin
...
...
@@ -1844,7 +1844,7 @@ function extract_ssh_infos
ssh_host
=
`
echo
$CMD
|
sed
-e
's/ssh:\/\/\([^/]*\)\/.*/\1/'
`
ssh_dir
=
`
echo
$CMD
|
sed
-e
's/ssh:\/\/[^/]*\/\(.*\)/\1/'
`
fi
}
function
build_old_new_mercurial
...
...
@@ -2096,7 +2096,7 @@ do
PARENT_REV
=
$OPTARG
;;
v
)
print
"
$0
version:
$WEBREV_UPDATED
"
;;
?
)
usage
;;
esac
...
...
@@ -2338,7 +2338,7 @@ if [[ $SCM_MODE == "teamware" ]]; then
#
[[
-z
$codemgr_ws
&&
-n
$CODEMGR_WS
]]
&&
codemgr_ws
=
$CODEMGR_WS
[[
-z
$codemgr_ws
&&
-n
$WSPACE
]]
&&
codemgr_ws
=
`
$WSPACE
name
`
if
[[
-n
$codemgr_ws
&&
!
-d
$codemgr_ws
]]
;
then
print
-u2
"
$codemgr_ws
: no such workspace"
exit
1
...
...
@@ -2521,10 +2521,16 @@ print " Output to: $WDIR"
# Bug IDs will be replaced by a URL. Order of precedence
# is: default location, $WEBREV_BUGURL, the -O flag.
#
BUGURL
=
'http
://monaco.sfbay.sun.com/detail.jsp?cr=
'
BUGURL
=
'http
s://jbs.oracle.com/bugs/browse/
'
[[
-n
$WEBREV_BUGURL
]]
&&
BUGURL
=
"
$WEBREV_BUGURL
"
[[
-n
"
$Oflag
"
]]
&&
\
if
[[
-n
"
$Oflag
"
]]
;
then
CRID
=
`
echo
$CRID
|
sed
-e
's/JDK-//'
`
BUGURL
=
'http://bugs.sun.com/bugdatabase/view_bug.do?bug_id='
IDPREFIX
=
''
else
IDPREFIX
=
'JDK-'
fi
#
# Likewise, ARC cases will be replaced by a URL. Order of precedence
...
...
@@ -2561,7 +2567,7 @@ fi
#
# Should we ignore changes in white spaces when generating diffs?
#
#
if
[[
-n
$bflag
]]
;
then
DIFFOPTS
=
"-t"
else
...
...
@@ -2748,7 +2754,7 @@ do
fi
fi
else
#
# If we have old and new versions of the file then run the
# appropriate diffs. This is complicated by a couple of factors:
...
...
@@ -3000,22 +3006,31 @@ fi
# external URL has a <title> like:
# <title>Bug ID: 6641309 Wrong Cookie separator used in HttpURLConnection</title>
# while internal URL has <title> like:
# <title>
6641309:
Wrong Cookie separator used in HttpURLConnection</title>
# <title>
[#JDK-6641309]
Wrong Cookie separator used in HttpURLConnection</title>
#
if
[[
-n
$CRID
]]
;
then
for
id
in
$CRID
do
if
[[
-z
"
$Oflag
"
]]
;
then
#add "JDK-" to raw bug id for jbs links.
id
=
`
echo
${
id
}
|
sed
's/^\([0-9]\{5,\}\)$/JDK-\1/'
`
fi
print
"<tr><th>Bug id:</th><td>"
url
=
"
${
BUGURL
}${
id
}
"
if
[[
-n
"
$Oflag
"
]]
;
then
cleanup
=
's/Bug ID: \([0-9]\{5,\}\) \(.*\)/JDK-\1 : \2/'
else
cleanup
=
's|\[#\(JDK-[0-9]\{5,\}\)\] \(.*\)|\1 : \2|'
fi
if
[[
-n
$WGET
]]
;
then
msg
=
`
$WGET
-
q
$url
-O
- |
grep
'<title>'
|
sed
's/<title>\(.*\)<\/title>/\1/'
|
sed
's/Bug ID://'
`
msg
=
`
$WGET
-
-timeout
=
10
--tries
=
1
-q
$url
-O
- |
grep
'<title>'
|
sed
's/<title>\(.*\)<\/title>/\1/'
|
sed
"
$cleanup
"
`
fi
if
[[
-n
$msg
]]
;
then
print
"<a href=
\"
$url
\"
>
$msg
</a>"
else
print
$id
| bug2url
if
[[
-z
$msg
]]
;
then
msg
=
"
${
id
}
"
fi
print
"<a href=
\"
$url
\"
>
$msg
</a>"
print
"</td></tr>"
done
fi
...
...
@@ -3179,4 +3194,3 @@ exec 3<&- # close FD 3.
print
"Done."
print
"Output to:
$WDIR
"
test/Makefile
浏览文件 @
0a5b31cf
...
...
@@ -38,8 +38,8 @@ JDK_DIR=$(TOPDIR)/jdk
define
SUBDIR_TEST
# subdirectory target
if
[
-d
$1
]
;
then
\
if
[
-r
$1/test/Makefile
]
;
then
\
echo
"$(MAKE) -C $1/test $2"
;
\
$(MAKE)
-C
$1/test
$2
;
\
echo
"$(MAKE) -
k -
C $1/test $2"
;
\
$(MAKE)
-
k
-
C
$1/test
$2
;
\
else
\
echo "ERROR
:
File does not exist: $1/test/Makefile";
\
exit 1;
\
...
...
@@ -53,7 +53,7 @@ endef
LANGTOOLS_TEST_LIST
=
langtools_jtreg
# Test target list for jdk repository
JDK_
DEFAULT
_TEST_LIST
=
\
JDK_
ALL
_TEST_LIST
=
\
jdk_beans1
\
jdk_io
\
jdk_lang
\
...
...
@@ -64,10 +64,7 @@ JDK_DEFAULT_TEST_LIST = \
jdk_security1
\
jdk_text
\
jdk_util
\
jdk_time
# These tests are not part of the default testing list
JDK_NONDEFAULT_TEST_LIST
=
\
jdk_time
\
jdk_awt
\
jdk_beans2 jdk_beans3
\
jdk_management
\
...
...
@@ -80,14 +77,14 @@ JDK_NONDEFAULT_TEST_LIST = \
jdk_jdi
\
jdk_jfr
#
All jdk tests
JDK_
ALL_TEST_LIST
=
$(JDK_DEFAULT_TEST_LIST)
$(JDK_NONDEFAULT_TEST_LIST)
#
Theses are meta test targets in jdk
JDK_
META_TEST_LIST
=
jdk_all jdk_default jdk_core
# These are the current jck test targets in the jdk repository
JDK_JCK7_LIST
=
jck7devtools jck7compiler jck7runtime
# Default test target (
everything
)
default
:
$(JDK_DEFAULT_TEST_LIST)
$(LANGTOOLS_TEST_LIST)
# Default test target (
core
)
default
:
jdk_core
$(LANGTOOLS_TEST_LIST)
# All testing
all
:
$(JDK_ALL_TEST_LIST) $(LANGTOOLS_TEST_LIST)
...
...
@@ -95,7 +92,8 @@ all: $(JDK_ALL_TEST_LIST) $(LANGTOOLS_TEST_LIST)
# Test targets
$(LANGTOOLS_TEST_LIST)
:
@
$(NO_STOPPING)
$(
call
SUBDIR_TEST,
$(LANGTOOLS_DIR)
,
$(
subst
langtools_,,
$@
))
$(JDK_ALL_TEST_LIST) $(JDK_JCK7_LIST)
:
$(JDK_ALL_TEST_LIST) $(JDK_META_TEST_LIST) $(JDK_JCK7_LIST)
:
@
$(NO_STOPPING)
$(
call
SUBDIR_TEST,
$(JDK_DIR)
,
$@
)
clean
:
...
...
@@ -104,7 +102,7 @@ clean:
# Phony targets (e.g. these are not filenames)
.PHONY
:
all clean
\
$(JDK_ALL_TEST_LIST) $(JDK_JCK7_LIST)
\
$(JDK_ALL_TEST_LIST) $(JDK_
META_TEST_LIST) $(JDK_
JCK7_LIST)
\
$(LANGTOOLS_TEST_LIST)
################################################################
...
...
编辑
预览
Markdown
is supported
0%
请重试
或
添加新附件
.
添加附件
取消
You are about to add
0
people
to the discussion. Proceed with caution.
先完成此消息的编辑!
取消
想要评论请
注册
或
登录